com.genesyslab.wfm7.API.service.config761

## Class CfgMeetingHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgMeetingHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgMeetingHolder
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private CfgAgentShort[]` | `agentInfo`
    `private int` | `agentInfoNSizeIs`
    `private CfgExceptionTypeShort[]` | `exceptionTypeInfo`
    `private int` | `exceptionTypeInfoNSizeIs`
    `private CfgMeeting[]` | `objectArray`
    `private int` | `objectArrayNSizeIs`
    `private int[]` | `objectIDArray`
    `private int` | `objectIDArrayNSizeIs`
    `private CfgMeetingShort[]` | `objectShortArray`
    `private int` | `objectShortArrayNSizeIs`
    `private long` | `timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgMeetingHolder()`
    `CfgMeetingHolder(int objectIDArrayNSizeIs, int[] objectIDArray, int objectArrayNSizeIs, CfgMeeting[] objectArray, int objectShortArrayNSizeIs, CfgMeetingShort[] objectShortArray, int exceptionTypeInfoNSizeIs, CfgExceptionTypeShort[] exceptionTypeInfo, int agentInfoNSizeIs, CfgAgentShort[] agentInfo, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `CfgAgentShort[]` | `getAgentInfo()` Gets the agentInfo value for this CfgMeetingHolder.
    `int` | `getAgentInfoNSizeIs()` Gets the agentInfoNSizeIs value for this CfgMeetingHolder.
    `CfgExceptionTypeShort[]` | `getExceptionTypeInfo()` Gets the exceptionTypeInfo value for this CfgMeetingHolder.
    `int` | `getExceptionTypeInfoNSizeIs()` Gets the exceptionTypeInfoNSizeIs value for this CfgMeetingHolder.
    `CfgMeeting[]` | `getObjectArray()` Gets the objectArray value for this CfgMeetingHolder.
    `int` | `getObjectArrayNSizeIs()` Gets the objectArrayNSizeIs value for this CfgMeetingHolder.
    `int[]` | `getObjectIDArray()` Gets the objectIDArray value for this CfgMeetingHolder.
    `int` | `getObjectIDArrayNSizeIs()` Gets the objectIDArrayNSizeIs value for this CfgMeetingHolder.
    `CfgMeetingShort[]` | `getObjectShortArray()` Gets the objectShortArray value for this CfgMeetingHolder.
    `int` | `getObjectShortArrayNSizeIs()` Gets the objectShortArrayNSizeIs value for this CfgMeetingHolder.
    `long` | `getTimestamp()` Gets the timestamp value for this CfgMeetingHolder.
    `int` | `hashCode()`
    `void` | `setAgentInfo(CfgAgentShort[] agentInfo)` Sets the agentInfo value for this CfgMeetingHolder.
    `void` | `setAgentInfoNSizeIs(int agentInfoNSizeIs)` Sets the agentInfoNSizeIs value for this CfgMeetingHolder.
    `void` | `setExceptionTypeInfo(CfgExceptionTypeShort[] exceptionTypeInfo)` Sets the exceptionTypeInfo value for this CfgMeetingHolder.
    `void` | `setExceptionTypeInfoNSizeIs(int exceptionTypeInfoNSizeIs)` Sets the exceptionTypeInfoNSizeIs value for this CfgMeetingHolder.
    `void` | `setObjectArray(CfgMeeting[] objectArray)` Sets the objectArray value for this CfgMeetingHolder.
    `void` | `setObjectArrayNSizeIs(int objectArrayNSizeIs)` Sets the objectArrayNSizeIs value for this CfgMeetingHolder.
    `void` | `setObjectIDArray(int[] objectIDArray)` Sets the objectIDArray value for this CfgMeetingHolder.
    `void` | `setObjectIDArrayNSizeIs(int objectIDArrayNSizeIs)` Sets the objectIDArrayNSizeIs value for this CfgMeetingHolder.
    `void` | `setObjectShortArray(CfgMeetingShort[] objectShortArray)` Sets the objectShortArray value for this CfgMeetingHolder.
    `void` | `setObjectShortArrayNSizeIs(int objectShortArrayNSizeIs)` Sets the objectShortArrayNSizeIs value for this CfgMeetingHolder.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgMeetingHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### objectIDArrayNSizeIs

          private int objectIDArrayNSizeIs

    - #### objectIDArray

          private int[] objectIDArray

    - #### objectArrayNSizeIs

          private int objectArrayNSizeIs

    - #### objectArray

          private CfgMeeting[] objectArray

    - #### objectShortArrayNSizeIs

          private int objectShortArrayNSizeIs

    - #### objectShortArray

          private CfgMeetingShort[] objectShortArray

    - #### exceptionTypeInfoNSizeIs

          private int exceptionTypeInfoNSizeIs

    - #### exceptionTypeInfo

          private CfgExceptionTypeShort[] exceptionTypeInfo

    - #### agentInfoNSizeIs

          private int agentInfoNSizeIs

    - #### agentInfo

          private CfgAgentShort[] agentInfo

    - #### timestamp

          private long timestamp

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgMeetingHolder

          public CfgMeetingHolder()

    - #### CfgMeetingHolder

          public CfgMeetingHolder(int objectIDArrayNSizeIs,
                          int[] objectIDArray,
                          int objectArrayNSizeIs,
                          CfgMeeting[] objectArray,
                          int objectShortArrayNSizeIs,
                          CfgMeetingShort[] objectShortArray,
                          int exceptionTypeInfoNSizeIs,
                          CfgExceptionTypeShort[] exceptionTypeInfo,
                          int agentInfoNSizeIs,
                          CfgAgentShort[] agentInfo,
                          long timestamp)

  - ### Method Detail

    - #### getObjectIDArrayNSizeIs

          public int getObjectIDArrayNSizeIs()

      Gets the objectIDArrayNSizeIs value for this CfgMeetingHolder.
      Returns:
        objectIDArrayNSizeIs

    - #### setObjectIDArrayNSizeIs

          public void setObjectIDArrayNSizeIs(int objectIDArrayNSizeIs)

      Sets the objectIDArrayNSizeIs value for this CfgMeetingHolder.
      Parameters:
        `objectIDArrayNSizeIs` -

    - #### getObjectIDArray

          public int[] getObjectIDArray()

      Gets the objectIDArray value for this CfgMeetingHolder.
      Returns:
        objectIDArray

    - #### setObjectIDArray

          public void setObjectIDArray(int[] objectIDArray)

      Sets the objectIDArray value for this CfgMeetingHolder.
      Parameters:
        `objectIDArray` -

    - #### getObjectArrayNSizeIs

          public int getObjectArrayNSizeIs()

      Gets the objectArrayNSizeIs value for this CfgMeetingHolder.
      Returns:
        objectArrayNSizeIs

    - #### setObjectArrayNSizeIs

          public void setObjectArrayNSizeIs(int objectArrayNSizeIs)

      Sets the objectArrayNSizeIs value for this CfgMeetingHolder.
      Parameters:
        `objectArrayNSizeIs` -

    - #### getObjectArray

          public CfgMeeting[] getObjectArray()

      Gets the objectArray value for this CfgMeetingHolder.
      Returns:
        objectArray

    - #### setObjectArray

          public void setObjectArray(CfgMeeting[] objectArray)

      Sets the objectArray value for this CfgMeetingHolder.
      Parameters:
        `objectArray` -

    - #### getObjectShortArrayNSizeIs

          public int getObjectShortArrayNSizeIs()

      Gets the objectShortArrayNSizeIs value for this CfgMeetingHolder.
      Returns:
        objectShortArrayNSizeIs

    - #### setObjectShortArrayNSizeIs

          public void setObjectShortArrayNSizeIs(int objectShortArrayNSizeIs)

      Sets the objectShortArrayNSizeIs value for this CfgMeetingHolder.
      Parameters:
        `objectShortArrayNSizeIs` -

    - #### getObjectShortArray

          public CfgMeetingShort[] getObjectShortArray()

      Gets the objectShortArray value for this CfgMeetingHolder.
      Returns:
        objectShortArray

    - #### setObjectShortArray

          public void setObjectShortArray(CfgMeetingShort[] objectShortArray)

      Sets the objectShortArray value for this CfgMeetingHolder.
      Parameters:
        `objectShortArray` -

    - #### getExceptionTypeInfoNSizeIs

          public int getExceptionTypeInfoNSizeIs()

      Gets the exceptionTypeInfoNSizeIs value for this CfgMeetingHolder.
      Returns:
        exceptionTypeInfoNSizeIs

    - #### setExceptionTypeInfoNSizeIs

          public void setExceptionTypeInfoNSizeIs(int exceptionTypeInfoNSizeIs)

      Sets the exceptionTypeInfoNSizeIs value for this CfgMeetingHolder.
      Parameters:
        `exceptionTypeInfoNSizeIs` -

    - #### getExceptionTypeInfo

          public CfgExceptionTypeShort[] getExceptionTypeInfo()

      Gets the exceptionTypeInfo value for this CfgMeetingHolder.
      Returns:
        exceptionTypeInfo

    - #### setExceptionTypeInfo

          public void setExceptionTypeInfo(CfgExceptionTypeShort[] exceptionTypeInfo)

      Sets the exceptionTypeInfo value for this CfgMeetingHolder.
      Parameters:
        `exceptionTypeInfo` -

    - #### getAgentInfoNSizeIs

          public int getAgentInfoNSizeIs()

      Gets the agentInfoNSizeIs value for this CfgMeetingHolder.
      Returns:
        agentInfoNSizeIs

    - #### setAgentInfoNSizeIs

          public void setAgentInfoNSizeIs(int agentInfoNSizeIs)

      Sets the agentInfoNSizeIs value for this CfgMeetingHolder.
      Parameters:
        `agentInfoNSizeIs` -

    - #### getAgentInfo

          public CfgAgentShort[] getAgentInfo()

      Gets the agentInfo value for this CfgMeetingHolder.
      Returns:
        agentInfo

    - #### setAgentInfo

          public void setAgentInfo(CfgAgentShort[] agentInfo)

      Sets the agentInfo value for this CfgMeetingHolder.
      Parameters:
        `agentInfo` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgMeetingHolder.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgMeetingHolder.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.